[
{
	"uri": "https://doc.cuates.net/easymacro/es/installation/",
	"title": "Instalación",
	"tags": [],
	"description": "",
	"content": "Clonar repositorio Clone el repositorio en su directorio de proyectos favorito.\ngit clone https://git.cuates.net/elmau/easymacro Muévase al directorio\ncd easymacro/source copie la carpeta easymacro a la carpeta pythonpath en la carpeta de macros Python dentro de su perfil de usuario. Reemplace USUARIO por su usuario real.\n/home/`USUARIO`/.config/libreoffice/4/user/Scripts/python/pythonpath o use un vínculo simbólico. Reemplace RUTA_ABSOLUTA por la ruta absoluta donde se localice easymacro en su sistema de archivos y USUARIO por su nombre de usuario.\nln -s `RUTA_ABSOLUTA`/easymacro/source/easymacro /home/`USUARIO`/.config/libreoffice/4/user/Scripts/python/pythonpath/ Probar En su archivo de macros favorito, por ejemplo mismacros.py. Use su editor de texto plano o IDE favorito.\nvim /home/`USUARIO`/.config/libreoffice/4/user/Scripts/python/mismacros.py Copie el siguiente código:\nimport easymacro as app def main(): app.msgbox(app.INFO_DEBUG) return Ejecute la macro main desde LibreOffice, si ve un cuadro de mensaje con información similar a la siguiente, !felicidades¡\nEsta todo listo para empezar a desarrollar macros con easymacro.\n!Feliz programación!\n"
},
{
	"uri": "https://doc.cuates.net/easymacro/es/",
	"title": "",
	"tags": [],
	"description": "",
	"content": "Documentación de easymacro! Software Libre, no software gratis. easymacro es una librería para desarrollar más fácilmente macros en LibreOffice con Python. Es una capa de abstracción entre la extensa y compleja API UNO de LibreOffice y tu código.\nProbablemente, será más feliz si la usa :)\nPuede utilizar easymacro con cualquier extensión o directamente en sus macros.\nEste proyecto esta en continuo desarrollo.\n"
},
{
	"uri": "https://doc.cuates.net/easymacro/es/categories/",
	"title": "Categories",
	"tags": [],
	"description": "",
	"content": ""
},
{
	"uri": "https://doc.cuates.net/easymacro/es/tags/",
	"title": "Tags",
	"tags": [],
	"description": "",
	"content": ""
}]